Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.Chunk

    java.lang.Object
      igeo.io.IRhino3dm.Chunk

Direct Known Subclasses:
  IRhino3dm.ChunkTable

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.Chunk

extends java.lang.Object

Rhino 3dm chunk objects. 3dm file is basically written as series of and nested chunks.

Field Summary
`int` | `body`
`byte[]` | `content`
`java.util.ArrayList<byte[]>` | `contents`
`java.util.zip.CRC32` | `crc`
`int` | `header`

Constructor Summary
`IRhino3dm.Chunk(int h, java.util.ArrayList<byte[]> c)`
`IRhino3dm.Chunk(int h, java.util.ArrayList<byte[]> c, java.util.zip.CRC32 crc)`
`IRhino3dm.Chunk(int h, byte[] c)`
`IRhino3dm.Chunk(int h, byte[] c, java.util.zip.CRC32 crc)`
`IRhino3dm.Chunk(int h, int b)`
`IRhino3dm.Chunk(int h, int b, java.util.ArrayList<byte[]> c)`
`IRhino3dm.Chunk(int h, int b, java.util.ArrayList<byte[]> c, java.util.zip.CRC32 crc)`
`IRhino3dm.Chunk(int h, int b, byte[] c)`
`IRhino3dm.Chunk(int h, int b, byte[] c, java.util.zip.CRC32 crc)`
`IRhino3dm.Chunk(int h, int b, int i)`
`IRhino3dm.Chunk(int h, java.lang.String str)`

Method Summary
`int` | `chunkLength()`
`void` | `clear()`
`int` | `contentLength()`
`boolean` | `doCRC()`
`int` | `getBody()`
`byte[]` | `getBytes()`
`byte[]` | `getContent()`
`java.util.ArrayList<byte[]>` | `getContents()`
`int` | `getCRC()`
`int` | `getHeader()`
`boolean` | `isEndOfTable()`
`boolean` | `isShort()`
`void` | `setContentLength()`
`void` | `setCRC(java.util.zip.CRC32 crc)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### header

    public int header

### body

    public int body

### content

    public byte[] content

### contents

    public java.util.ArrayList<byte[]> contents

### crc

    public java.util.zip.CRC32 crc

Constructor Detail

### IRhino3dm.Chunk

    public IRhino3dm.Chunk(int h,
                           int b)

### IRhino3dm.Chunk

    public IRhino3dm.Chunk(int h,
                           int b,
                           byte[] c,
                           java.util.zip.CRC32 crc)

### IRhino3dm.Chunk

    public IRhino3dm.Chunk(int h,
                           int b,
                           byte[] c)

### IRhino3dm.Chunk

    public IRhino3dm.Chunk(int h,
                           byte[] c,
                           java.util.zip.CRC32 crc)

### IRhino3dm.Chunk

    public IRhino3dm.Chunk(int h,
                           byte[] c)

### IRhino3dm.Chunk

    public IRhino3dm.Chunk(int h,
                           java.lang.String str)

### IRhino3dm.Chunk

    public IRhino3dm.Chunk(int h,
                           int b,
                           int i)

### IRhino3dm.Chunk

    public IRhino3dm.Chunk(int h,
                           int b,
                           java.util.ArrayList<byte[]> c,
                           java.util.zip.CRC32 crc)

### IRhino3dm.Chunk

    public IRhino3dm.Chunk(int h,
                           int b,
                           java.util.ArrayList<byte[]> c)

### IRhino3dm.Chunk

    public IRhino3dm.Chunk(int h,
                           java.util.ArrayList<byte[]> c,
                           java.util.zip.CRC32 crc)

### IRhino3dm.Chunk

    public IRhino3dm.Chunk(int h,
                           java.util.ArrayList<byte[]> c)

Method Detail

### setContentLength

    public void setContentLength()

### getHeader

    public int getHeader()

### getBody

    public int getBody()

### getContent

    public byte[] getContent()

### contentLength

    public int contentLength()

### getContents

    public java.util.ArrayList<byte[]> getContents()

### chunkLength

    public int chunkLength()

### getBytes

    public byte[] getBytes()

### isShort

    public boolean isShort()

### doCRC

    public boolean doCRC()

### isEndOfTable

    public boolean isEndOfTable()

### setCRC

    public void setCRC(java.util.zip.CRC32 crc)

### getCRC

    public int getCRC()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD